/***********************************************************************
 * @file Display.h
 * @brief Handle the content of the Lcd1602a display
 * @version 0.0.1
 ***********************************************************************
 * @section License
 * <b>(C) Copyright 2017 Falk Richter, falk.richter at yandex.com</b>
 ***********************************************************************
 *
 * This file is licensed under the GPLv3.
 *
 **********************************************************************/

#ifndef _DISPLAY_H_
#define	_DISPLAY_H_

// show the startup display
extern void DIS_vShowStartupScreen(void);

// show the shut down screen on the display and switch off it
extern void DIS_vShowShutDownScreen(void); 

// show the new sound level on the display
extern void DIS_vUpdateDisplayVolume (uint8_t u8NewSoundLevel);

// show the new line input on the display
extern void DIS_vUpdateDisplayInput (uint8_t u8NewInput); 

// Switch off the display
extern void DIS_vSwitchOff(void);

#endif
