/***********************************************************************
 * @file InputSelect.h
 * @brief Selector for the line inputs
 * @version 0.0.1
 ***********************************************************************
 * @section License
 * <b>(C) Copyright 2017 Falk Richter, falk.richter at yandex.com</b>
 ***********************************************************************
 *
 * This file is licensed under the GPLv3.
 *
 **********************************************************************/

#ifndef _INPUTSEL_H_
#define	_INPUTSEL_H_

// initialize the module with default input
void INPUTSEL_vInit(uint8_t u8DefaultInput); 

// set the input with the ports 
void INPUTSEL_vSet(uint8_t u8Input);

// get the current selected input
uint8_t INPUTSEL_u8Get(void);

// select the next input channel (function used by the rotary switch)
void INPUTSEL_vNextChannel(void);

// set the relays into standby
void INPUTSEL_vSetStandBy(void);

#endif

